package aLibrary;

/* A3ButtonHandler supports button actions for the A3ButtonWindow class.
   This class is designed to be inherited and its methods overriden.
   Author:  David Riley -- July, 2000    */

public abstract class A3ButtonHandler   {  
	
	/* The method below is an event handler for button clicks on
		the LEFT button of an object of type A3ButtonWindow */
	public abstract void leftAction();
	
	/* The method below is an event handler for button clicks on
		the MID button of an object of type A3ButtonWindow */
	public abstract void midAction();
	
	/* The method below is an event handler for button clicks on
		the RIGHT button of an object of type A3ButtonWindow */
	public abstract void rightAction();

}