package aLibrary;

import java.awt.event.*;
import javax.swing.Timer;
// Code to provide facilities for animating.
public class EventTimer extends Timer implements ActionListener {

    public EventTimer()  {
    	super(0, null);
        addActionListener( this );
    }

    /* post
        actionPerformed events are scheduled to occur every s seconds */
    public void scheduleEvents(double sec)  {
        setDelay( (int)(sec * 1000) );
        setInitialDelay( (int)(sec * 1000) );
        setRepeats( true );
        start();
    } 
    
    /* EVENT HANDLER - called in response to each scheduled event
			(This method is designed to be overridden.) */
    public void actionPerformed( ActionEvent e )  {
    }
    	
}